## org.biojava.bio.structure.server
Interface StructureServer

All Known Implementing Classes:
  SimpleStructureServer

    public interface StructureServer

a server that pre-loads PDB files in memory, for quicker processing by StructureListeners

Author:
  Andreas Prlic

Method Summary
`void` `addStructureListener(StructureListener listener)`
`void` `clearStructureListeners()`
`int` `getCacheSize()`
`PDBInstallation` `getPDBInstallation()`
`boolean` `hasNextStructure()`
`void` `requestNextStructure(StructureListener listener)`
`void` `setCacheSize(int nr)` set how many structures should be kept in memory - for quicker access
`void` `setPDBInstallation(PDBInstallation installation)`

Method Detail

### addStructureListener

    void addStructureListener(StructureListener listener)

### clearStructureListeners

    void clearStructureListeners()

### setPDBInstallation

    void setPDBInstallation(PDBInstallation installation)

### getPDBInstallation

    PDBInstallation getPDBInstallation()

### setCacheSize

    void setCacheSize(int nr)

  set how many structures should be kept in memory - for quicker access

  Parameters:
    `nr` -

### getCacheSize

    int getCacheSize()

### requestNextStructure

    void requestNextStructure(StructureListener listener)

### hasNextStructure

    boolean hasNextStructure()